## bristol 0.9.1

=== src/brighton/Makefile ===

APP		= brighton
APPS	= ${APP} lib${APP}

CC=cc -O -fPIC -g
CFLAGS=-I../bristol -I../bristol/include -Iinclude
LDFLAGS=-L./brighton -LlibbrightonX11 -L/usr/X11R6/lib -Xlinker -Bstatic -lbrighton -lB11 -Xlinker -Bdynamic -lX11

all: 
	@(cd lib${APP}X11 ; make BINDING=dynamic )
	@(cd ${APP} ; make BINDING=dynamic )

test: test.o
	${CC} ${CFLAGS} test.o -o libtest ${LDFLAGS}

install: 
	@(cd ${APP} ; make install BINDING=dynamic )

clean: 
	@(cd lib${APP}X11 ; make clean)
	@(cd ${APP} ; make clean)
	rm -f *.o libtest

allsource:
	tar cfvp ${APP}.tar `find . -name \*.c -print -o -name \*.h -print -o -name Makefile -print -o -name readme\* -print -print -o -name \*.xpm -print -o -name \*.mem -print -o -name \*.xbm -print -o -name setup -print`
	cat ${APP}.tar | bzip2 > ${APP}.tbz
	rm ${APP}.tar

extract:
	cat ${APP}.tbz | bunzip2 | tar xfvp -

usage:
	wc */*.c */*.h */Makefile

=== src/bristol/Makefile ===

APP		= bristol
APPS	= ${APP} lib${APP}

all: 
#	@( ./configure )
	@(cd libbristol ; make BINDING=dynamic )
	@(cd libbristolmidi ; make BINDING=dynamic )
	@(cd bristol ; make BINDING=dynamic )
#	@(cd bristolgui ; make BINDING=dynamic )
	@(cd brightongui ; make BINDING=dynamic )

install: 
	@(cd libbristol ; make install BINDING=dynamic )
	@(cd libbristolmidi ; make install BINDING=dynamic )
	@(cd bristol ; make install BINDING=dynamic )
#	@(cd bristolgui ; make install BINDING=dynamic )
	@(cd brightongui ; make install BINDING=dynamic )

clean: 
	@(cd libbristol ; make clean)
	@(cd libbristolmidi ; make clean)
	@(cd bristol ; make clean)
#	@(cd bristolgui ; make clean)
	@(cd brightongui ; make clean)

dist:
	@(makeinstall)

allsource:
	tar cfvp ${APP}.tar `find . -name \*.c -print -o -name \*.h -print -o -name Makefile -print -o -name readme\* -print -o -name makeinstall -print -o -name build -print -o -name startBristol -print -o -name \*.gif -print -o -name \*.mem -print -o -name setup -print ; echo configure build`
	cat ${APP}.tar | bzip2 > ${APP}.tbz
	rm ${APP}.tar

usage:
	wc */*.c */*.h */Makefile

=== src/brighton/brighton/Makefile ===

#
# If you want to recompile all this lot then you have a few choices on for the
# bindings. The default is static, as defined here. You can change this to
# dynamic, but then you will get pretty much the same code as the distribution.
#
# Management of the ALSA support is painful. I either need a dummy library,
# which I do not want to have to maintain, or I need some intelligent library
# selection. Hm, I don't like "intelligent" solutions, since they usually
# miss too many possible clauses.
#
#BINDING	=static
BINDING	=dynamic

#
DESTDIR		=
INCPATH		= -I../include -I../bitmaps -I.
BINDIR		=

LIBSDIR		= -L/usr/lib -L/usr/X11R6/lib
LIBS		= -lX11 -lc -lm -lpthread
LDFLAGS		= ${LIBSDIR} -Xlinker -B${BINDING} ${LIBS}

CC			=	cc -O -fPIC
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
#FEATURES	=
FEATURES	= -D_REENTRANT -DBRIGHTON_DBG

CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH}
MFLAGS		= -I.

# Source files
#
#SRC5=${SRC6} brightonPic.c
#SRC4=${SRC5} brightonDispatch.c brightonDisplay.c brightonPanelMgt.c
#SRC3=${SRC4} brightonDevice.c brightonRotary.c brightonScale.c brightonButton.c
#SRC2=${SRC3} brightonEventHandlers.c brightonBitmaps.c brightonDisplayMgt.c
#SRC1=${SRC2} brightonRender.c brightonColorMgt.c brightonXpmRead.c
SRC6=${SRC7} brightonTouchpanel.c
SRC5=${SRC6} brightonDisplay.c brightonShadowMgt.c brightonPic.c
SRC4=${SRC5} brightonDispatch.c brightonButton.c brightonScale.c
SRC3=${SRC4} brightonPanelMgt.c brightonDevice.c brightonRotary.c
SRC2=${SRC3} brightonXpmRead.c brightonColorMgt.c brightonRender.c
SRC1=${SRC2} brightonDisplayMgt.c brightonEventHandlers.c brightonBitmaps.c
BRIGHTONSRC=${SRC1} brightonWindowMgt.c brightonC.c brightonInterface.c

#
# Object files
#
#OBJ5=${OBJ6} brightonPic.o
#OBJ4=${OBJ5} brightonDispatch.o brightonDisplay.o brightonPanelMgt.o
#OBJ3=${OBJ4} brightonDevice.o brightonRotary.o brightonScale.o brightonButton.o
#OBJ2=${OBJ3} brightonEventHandlers.o brightonBitmaps.o brightonDisplayMgt.o
#OBJ1=${OBJ2} brightonRender.o brightonColorMgt.o brightonXpmRead.o
OBJ6=${OBJ7} brightonTouchpanel.o
OBJ5=${OBJ6} brightonDisplay.o brightonShadowMgt.o brightonPic.o
OBJ4=${OBJ5} brightonDispatch.o brightonButton.o brightonScale.o
OBJ3=${OBJ4} brightonPanelMgt.o brightonDevice.o brightonRotary.o
OBJ2=${OBJ3} brightonXpmRead.o brightonColorMgt.o brightonRender.o
OBJ1=${OBJ2} brightonDisplayMgt.o brightonEventHandlers.o brightonBitmaps.o
BRIGHTONOBJ=${OBJ1} brightonWindowMgt.o brightonC.o brightonInterface.o

PROGS	= libbrighton

all:	${PROGS}

libbrighton: ${BRIGHTONOBJ}
	cc -o libbrighton.so -shared --whole-archive ${BRIGHTONOBJ}
	rm -f brighton.a
	ar cr libbrighton.a ${BRIGHTONOBJ}
	ranlib libbrighton.a

install: ${PROGS}

clean:
	@rm -f *~ core ${PROGS} ${BRIGHTONOBJ} *.a *.so

lint:
	lint -bac ${DEFINES} ${BRIGHTONSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRIGHTONSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.

=== src/brighton/libbrightonX11/Makefile ===

#
# If you want to recompile all this lot then you have a few choices on for the
# bindings. The default is static, as defined here. You can change this to
# dynamic, but then you will get pretty much the same code as the distribution.
#
# Management of the ALSA support is painful. I either need a dummy library,
# which I do not want to have to maintain, or I need some intelligent library
# selection. Hm, I don't like "intelligent" solutions, since they usually
# miss too many possible clauses.
#
#BINDING	=static
BINDING	=dynamic

#
DESTDIR		=
INCPATH		= -I../include -I../bitmaps -I.
BINDIR		=

LIBSDIR		= -L/usr/lib -L/usr/X11R6/lib
LIBS		= -lX11 -lc -lm -lpthread
LDFLAGS		= ${LIBSDIR} -Xlinker -B${BINDING} ${LIBS}

CC			=	cc -O -fPIC
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
#FEATURES	=
FEATURES	= -D_REENTRANT -DDEBUG -DBRIGHTON_DBG

CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH}
MFLAGS		= -I.

# Source files
#
SRC1=${SRC2} bRender.c
BRIGHTONXSRC=${SRC1} bDisplay.c bRoutines.c bWindow.c bEvent.c bColor.c

#
# Object files
#
OBJ1=${OBJ2} bRender.o
BRIGHTONXOBJ=${OBJ1} bDisplay.o bRoutines.o bWindow.o bEvent.o bColor.o

PROGS	= libB11

all:	${PROGS}

libB11: ${BRIGHTONXOBJ}
	cc -o libB11.so -shared --whole-archive ${BRIGHTONXOBJ}
	rm -f libB11.a
	ar cr libB11.a ${BRIGHTONXOBJ}
	ranlib libB11.a

install: ${PROGS}

clean:
	@rm -f *~ core ${PROGS} ${BRIGHTONXOBJ} *.a *.so

lint:
	lint -bac ${DEFINES} ${BRIGHTONXSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRIGHTONXSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.

=== src/bristol/brightongui/Makefile ===
include ../Makefile.autodefs
# 
#
DESTDIR		=
INCPATH		= -I../include -I/usr/X11R6/include -I/usr/local/include -I../../mixslab/include -I../../brighton/include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=-lbristolmidi -lbrighton -lB11 ${LIBASOUND} -lX11 -lm
LIBSDIR		=-L../../slab/lib -L../../mixslab/libslabc -L../libbristolmidi -L../../brighton/brighton -L../../brighton/libbrightonX11 -L/usr/X11R6/lib

VERS		=	0.01

#
# If you want ALSA support edit $SLAB_HOME/src/Makefile, and set ADLIB to "1".
#

CC			=	cc -fPIC
DEPEND		=	makedepend
INSTALL		=	install

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG  -DEBUG2
# FEATURES	=  -DDEBUG
FEATURES	=

# for 4.3 BSD
#DEFINES	=

# for Sun4
DEFINES		=

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${CFLAGS} ${LIBSDIR} ${LIBS}
MFLAGS		= -I.

#
SRC3=${SRC4} brightonVox.c brightonRhodes.c brightonProphet10.c
SRC2=${SRC3} brightonExplorer.c brightonMixer.c brightonHammondB3.c
SRC1=${SRC2} brightonRoutines.c brightonHammond.c brightonJuno.c brightonDX.c
BRISTOLSRC=${SRC1} brighton.c bristolroutines.c brightonMini.c brightonProphet.c

#
# Object files
OBJ3=${OBJ4} brightonVox.o brightonRhodes.o brightonProphet10.o
OBJ2=${OBJ3} brightonExplorer.o brightonMixer.o brightonHammondB3.o
OBJ1=${OBJ2} brightonRoutines.o brightonHammond.o brightonJuno.o brightonDX.o
BRISTOLOBJ=${OBJ1} brighton.o bristolroutines.o brightonMini.o brightonProphet.o

PROGS	= bristol

all:	${PROGS}

bristol:	${BRISTOLOBJ}
	${CC} ${CFLAGS} ${BRISTOLOBJ} -o bristol ${LDFLAGS}

install: ${PROGS}
	@(cp libslab* ../../lib)

clean:
	@rm -f *.o *~ core ${} ${PROGS} lib*

lint:
	lint -bac ${DEFINES} ${MIXENGINESRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRISTOLSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.

=== src/bristol/bristol/Makefile ===
include ../Makefile.autodefs
#
# If you want to recompile all this lot then you have a few choices on for the
# bindings. The default is static, as defined here. You can change this to
# dynamic, but then you will get pretty much the same code as the distribution.
#
# Management of the ALSA support is painful. I either need a dummy library,
# which I do not want to have to maintain, or I need some intelligent library
# selection. Hm, I don't like "intelligent" solutions, since they usually
# miss too many possible clauses.
#
#BINDING	=static
BINDING	=dynamic

#
DESTDIR		=
INCPATH		= -I../include -I.
BINDIR		=

LIBSDIR		= -L/usr/lib -L../libbristol -L../libbristolmidi -L../../mixslab/libslabaudio -L../../slab/libslabaudio
#LIBS		= -lbristol -lbristolmidi -lslabaudio -lc -lm ${LIBASOUND} -lpthread
LIBS		= -lc -lm ${LIBASOUND} -lpthread -Xlinker -Bstatic -lbristol -lbristolmidi -lslabaudio
LDFLAGS		= ${LIBSDIR} -Xlinker -B${BINDING} ${LIBS}

CC			=	cc -O -fPIC
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
FEATURES	= -D_REENTRANT
#FEATURES	= -D_REENTRANT -DDEBUG -DBRISTOL_DBG

CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH}
MFLAGS		= -I.

#
# Header files
#
HDRS		= bristol.h

# Source files
#
SRC6	=${SRC7} bristolvox.c vox.c sdco.c sdcoutils.c bristolsampler.c
SRC5	=${SRC6} vibrachorus.c thesermon.c bristolexplorer.c filter2.c lfo.c
SRC4	=${SRC5} bristoldx.c hpf.c junodco.c bristoljuno.c dimensionD.c expdco.c
SRC3	=${SRC4} bristolsystem.c bristolhammond.c bristolprophet.c prophetdco.c
SRC2	=${SRC3} filter.c noise.c hammond.c audioEngine.c resonator.c dxop.c
SRC1	=${SRC2} midihandlers.c bristolmm.c midinote.c envelope.c dca.c rotary.c
BRISTOLSRC=${SRC1} bristolmain.c dco.c midithread.c audiothread.c soundManager.c

#
# Object files
#
OBJ6	=${OBJ7} bristolvox.o vox.o sdco.o sdcoutils.o bristolsampler.o
OBJ5	=${OBJ6} vibrachorus.o thesermon.o bristolexplorer.o filter2.o lfo.o
OBJ4	=${OBJ5} bristoldx.o hpf.o junodco.o bristoljuno.o dimensionD.o expdco.o
OBJ3	=${OBJ4} bristolsystem.o bristolhammond.o bristolprophet.o prophetdco.o
OBJ2	=${OBJ3} filter.o noise.o hammond.o audioEngine.o resonator.o dxop.o
OBJ1	=${OBJ2} midihandlers.o bristolmm.o midinote.o envelope.o dca.o rotary.o
BRISTOLOBJ=${OBJ1} bristolmain.o dco.o midithread.o audiothread.o soundManager.o

PROGS	= bristolengine

all:	${PROGS}

bristolengine: ${BRISTOLOBJ}
	${CC} ${CFLAGS} ${BRISTOLOBJ} -o bristolengine ${LDFLAGS}

install: ${PROGS}

clean:
	@rm -f *~ core ${PROGS} ${BRISTOLOBJ}

lint:
	lint -bac ${DEFINES} ${BRISTOLSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRISTOLSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.

=== src/bristol/libbristol/Makefile ===
# 
#
DESTDIR		=
INCPATH		= -I../../mixslab4.10/include -I../include -I../../slab/include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=
LIBSDIR		=

VERS		=	0.01

CC			=	cc -c -fPIC -fpic -ggdb
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG  -DEBUG2
# FEATURES	=  -DDEBUG
FEATURES	= -DNEW_DEBUG

# for 4.3 BSD
#DEFINES	=

# for Linux
#DEFINES		= -D_REENTRANT -DTEST
DEFINES		= -D_REENTRANT

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${LIBSDIR} ${LIBS} 
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH} ${LDFLAGS}
MFLAGS		= -I.

#
# Header files
#
HDRS		=	bristol.h

# Source files
#
SRC1	=${SRC2} mixroutines.c
BRISTOLSRC	= ${SRC1} opmgt.c debugging.c bristolcdefs.c audioRoutines.c
#
# Object files
#

OBJ1	=${OBJ2} mixroutines.o
BRISTOLOBJ	= ${OBJ1} opmgt.o debugging.o bristolcdefs.o audioRoutines.o

PROGS	= libbristol.a

all:	${PROGS}

libbristol.a:	${BRISTOLOBJ}
	cc -o libbristol.so -shared --whole-archive ${BRISTOLOBJ}
	rm -f bristol.a
	ar cr libbristol.a ${BRISTOLOBJ}
	ranlib libbristol.a

install: ${PROGS}
	@(cp libbristol* ../../lib)

clean:
	@rm -f *.o *~ core ${LIBBRISTOL} ${PROGS} lib*

lint:
	lint -bac ${DEFINES} ${BRISTOLSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRISTOLSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.

=== src/bristol/libbristolmidi/Makefile ===
# 
#
DESTDIR		=
INCPATH		= -I../include -I../../slab/include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=
LIBSDIR		=

VERS		=	0.01

CC			=	cc -c -fPIC -fpic -ggdb
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG  -DEBUG2
FEATURES	=
#FEATURES	= -DDEBUG -DBRISTOL_DBG

# for 4.3 BSD
#DEFINES	=

# for linux
DEFINES		= -D_REENTRANT

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${LIBSDIR} ${LIBS} 
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH} ${LDFLAGS}
MFLAGS		= -I.

#
# Header files
#
HDRS		=	bristol.h

# Source files
#
SRC2	=${SRC3} inetClient.c inetServer.c interface.c midiSeqDevMan.c
SRC1	=${SRC2} midiRoutines.c midiParse.c socketToolKit.c midiTCPDevMan.c
BRISTOLSRC	=${SRC1} midiDevMan.c midiALSADevMan.c midiOSSDevMan.c midiMsgMan.c
#
# Object files
#

OBJ2	=${OBJ3} inetClient.o inetServer.o interface.o midiSeqDevMan.o
OBJ1	= ${OBJ2} midiRoutines.o midiParse.o socketToolKit.o midiTCPDevMan.o
BRISTOLOBJ	= ${OBJ1} midiDevMan.o midiALSADevMan.o midiOSSDevMan.o midiMsgMan.o

PROGS	= libbristolmidi.a

all:	${PROGS}

libbristolmidi.a:	${BRISTOLOBJ}
	cc -o libbristolmidi.so -shared --whole-archive ${BRISTOLOBJ}
	rm -f bristolmidi.a
	ar cr libbristolmidi.a ${BRISTOLOBJ}
	ranlib libbristolmidi.a

install: ${PROGS}
	@(cp libslab* ../../lib)

clean:
	@rm -f *.o *~ core ${LIBBRISTOL} ${PROGS} lib*

lint:
	lint -bac ${DEFINES} ${BRISTOLSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRISTOLSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.

=== src/slab/libslabaudio/Makefile ===
#LIBASOUND=-lasound
# 
#
DESTDIR		=
INCPATH		= -I/usr/lib/oss/include -I/usr/include -I../include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=
LIBSDIR		=

VERS		=	0.01

CC			=	cc -c -fPIC -fpic -ggdb
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG -DLINUX -DEBUG2
# FEATURES	= -DLINUX -DDEBUG
FEATURES	= -DNEW_DEBUG

# for 4.3 BSD
#DEFINES	=

# for Sun4
DEFINES		=

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${LIBSDIR} ${LIBS} 
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH} ${LDFLAGS}
MFLAGS		= -I.

#
# Header files
#
HDRS		=	slabmessages.h messageOps.h serverToolKit.h

# Source files
#
ASRC1			= ${ASRC2} audioEngineOSS.c audioMastering.c
LIBAUDIOSRC		= ${ASRC1} audioEngine.c audioNetClient.c audioEngineALSA.c

LIBAUDIOGUISRC	= audioGUI.c audioGUIALSA.c audioGUIOSS.c
#
# Object files
#

AOBJ1			= ${AOBJ2} audioEngineOSS.o audioMastering.o
LIBAUDIOOBJ		= ${AOBJ1} audioEngine.o audioNetClient.o audioEngineALSA.o

LIBAUDIOGUIOBJ	= audioGUI.o audioGUIALSA.o audioGUIOSS.o

TESTOBJ			= testAPI.c

PROGS	= libslabaudio.a libslabGUIaudio.a libasound.a

all:	${PROGS}

libslabaudio.a:	${LIBAUDIOOBJ}
	cc -o libslabaudio.so -shared --whole-archive ${LIBAUDIOOBJ}
	rm -f libslabaudio.a
	ar cr libslabaudio.a ${LIBAUDIOOBJ}
	ranlib libslabaudio.a

libslabGUIaudio.a:	${LIBAUDIOGUIOBJ}
	cc -o libslabGUIaudio.so -shared --whole-archive ${LIBAUDIOGUIOBJ}
	rm -f libslabGUIaudio.a
	ar cr libslabGUIaudio.a ${LIBAUDIOGUIOBJ}
	ranlib libslabGUIaudio.a

libasound.a:	null.o
	cc -o libasound.so.1 -shared --whole-archive null.o
	ar cr libasound.a null.o
	ranlib libasound.a

install: ${PROGS}
	@(cp libslab* ../../lib)

apitest:	${TESTOBJ}
	cc -Xlinker -Bstatic -DDEBUG -DNEW_DEBUG testAPI.c -lslabclient -L. -o apitest

clean:
	@rm -f *.o *~ core ${LIBAUDIOOBJ} ${PROGS} ${LIBAUDIOGUIOBJ} lib*

lint:
	lint -bac ${DEFINES} ${LIBAUDIOSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${LIBAUDIOSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.

## bristol 0.60.6

=== debian/changelog ===
bristol (0.60.6-1) experimental; urgency=low

  * New upstream release.
  * Remove DMUA field.
  * Add debian/gbp.conf.
  * Switch to 3.0 (quilt) format.
  * Add .gitignore file.
  * Remove empty debian/patches dir.
  * Update Standards-Version to 3.9.1.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Aug 2010 16:20:36 +0200

bristol (0.60.5-1) unstable; urgency=low

  * Change my email address.
  * Imported Upstream version 0.60.5
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Jun 2010 09:39:39 +0200

bristol (0.60.4-1) unstable; urgency=low

  * New upstream release.
  * Add autotools-dev debhelper addon support.
  * debian/rules: Remove old lines used to update config.{guess,sub}
    files.
  * debian/patches/01-destdir.patch: Removed, applied upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 29 May 2010 09:34:47 +0200

bristol (0.60.3-1) unstable; urgency=low

  * New upstream release, Closes: #580728 too.
  * Remove 01-spelling_errors.patch, applied upstream.
  * debian/patches/01-destdir.patch:
    - Compress manpages before installing them.
    - Fix installation path of manpages.
  * Remove bristol.1 manpage, now provided by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 16 May 2010 20:19:42 +0200

bristol (0.60.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/patches/01-spelling_errors.patch, all other patches
    have been applied upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 04 May 2010 09:57:47 +0200

bristol (0.60.0-4) unstable; urgency=low

  * Switch back to deb format 1.0, bug#578693 has been fixed.
  * Refresh and improvements, another attempt to fix FTBFS on
    hppa,sparc,s390.
  * Drop debian/patches/02-implicit_pointer_conversion.patch patch,
    applied upstream.
  * Patch to fix FTBFS on hurd-i386.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 23 Apr 2010 09:49:32 +0200

bristol (0.60.0-3) unstable; urgency=low

  * debian/patches/04-fix_alsa_presence_check.patch:
    - Attempt to fix FTBFS on hppa, sparc and s390 architectures.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Apr 2010 17:11:56 +0200

bristol (0.60.0-2) unstable; urgency=low

  * Add patch to fix FTBFS on kfreebsd architectures (Closes: #578443).
  * Temporary switch to debian 3.0 (quilt) format to workaround bug#578693.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Apr 2010 00:52:06 +0200

bristol (0.60.0-1) unstable; urgency=low

  * New upstream release uploaded to unstable.
  * Add autotools support.
  * Refresh debian/patches/01-spelling_errors.patch patch.
  * debian/rules: Set JACK as default AUDIO and MIDI driver.
  * debian/patches/02-implicit_pointer_conversion.patch:
    - Forwarded to upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 20 Apr 2010 20:53:20 +0200

bristol (0.50.6-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards.
  * Remove ALSA support for non-linux archs, should fix FTBFS.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 17:04:08 +0200

bristol (0.50.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Mar 2010 01:08:40 +0100

bristol (0.50.1-1) UNRELEASED; urgency=low

  * New upstream development release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 26 Jan 2010 09:27:32 +0100

bristol (0.40.8-2) unstable; urgency=low

  * Disable alsa on hurd,kfreebsd architectures.
  * Adjust debhelper,quilt build-dependencies to ease backporters' life.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 19 Apr 2010 07:56:44 +0200

bristol (0.40.8-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 24 Jan 2010 19:58:06 +0100

bristol (0.40.7-2) unstable; urgency=low

  * debian/patches/02-implicit_pointer_conversion.patch: Function
    'bristolmalloc' implicitly converted to pointer, this was due to
    a missing function prototype (Closes: #563435).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 04 Jan 2010 00:48:16 +0100

bristol (0.40.7-1) unstable; urgency=low

  * New upstream release.
  * Fix a little spelling error in the packages' description
    (Closes: #528546); thanks to Junichi Uekawa for reporting this.
  * Add Vcs-* tags.
  * Set DM-Upload-Allowed to yes.
  * Add Free Ekanayaka to Uploaders field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 27 Dec 2009 15:53:55 +0100

bristol (0.40.6-1) unstable; urgency=low

  * Adopting this (Closes: #546954).
  * Create new bristol-data runtime package, it will contain application's
    architecture-indipendent data files.
  * Drop all patches, now useless.
  * Switch to debhelper 7.
  * debian/copyright: Update according to DEP-5 spec.
  * debian/bristol.1: Fix little spelling mistake.
  * Replace patch system, from dpatch to quilt.
  * Add 01-spelling_errors.patch patch to fix spelling-error-in-binary.
  * debian/rules: dh_makeshlibs doesn't touch shlibs/symbols file, libraries
    under /usr/lib/bristol/ are private.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 10 Nov 2009 12:21:04 +0100

bristol (0.40.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
    + With permission from maintainer.
  * New upstream release. (Closes: #470336, #366833).
    + Builds with newer alsa libs. (Closes: #506768).
    + Builds on amd64. (Closes: #527716).
  * Replace x-dev build-dep with x11proto-core-dev. (Closes: #515358).
  * Install menu file. (Closes: #299414).
  * Update watch file.
  * Add Homepage. 
    + Remove old bad URL from package description.
  * Add appropriate Copyright holder to debian/copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 05 May 2009 21:42:17 -0400

bristol (0.9.1-13) unstable; urgency=low

  * Fixed X11 library dependencies (closes: #346627)



=== debian/control ===
Source: bristol
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev (>= 20100122.1~),
 libx11-dev,
 x11proto-core-dev,
 libasound2-dev,
 libjack-dev
Standards-Version: 3.9.1
Homepage: http://bristol.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/bristol.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/bristol.git

Package: bristol
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 bristol-data (= ${source:Version})
Description: vintage synthesizer emulator
 Bristol is a synthesizer emulator application. Bristol uses the sound card 
 PCM generator and can be MIDI driven, furthermore it can be set to use the 
 low latency scheduling feature of the kernel, reducing audio under runs. 
 It can handle any number of simultaneous synthesizers (they all connect to
 the same engine). It supports splitting and layering the keyboard with
 multiple synthesizers on a single midi channel. Currently Bristol emulates
 the following keyboards: Moog Mini, Moog Voyager (Bristol "Explorer"), 
 Sequential Circuits Prophet-5, Roland Juno-6, Yamaha DX-7, 
 Hammond (single manual), Hammond B3 (dual manual).

Package: bristol-data
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends}
Replaces: bristol (<< 0.40.6-1)
Description: vintage synthesizer emulator (data files)
 Bristol is a synthesizer emulator application. Bristol uses the sound card 
 PCM generator and can be MIDI driven, furthermore it can be set to use the 
 low latency scheduling feature of the kernel, reducing audio under runs. 
 It can handle any number of simultaneous synthesizers (they all connect to
 the same engine). It supports splitting and layering the keyboard with
 multiple synthesizers on a single midi channel. Currently Bristol emulates
 the following keyboards: Moog Mini, Moog Voyager (Bristol "Explorer"), 
 Sequential Circuits Prophet-5, Roland Juno-6, Yamaha DX-7, 
 Hammond (single manual), Hammond B3 (dual manual).
 .
 This package contains the application data files.

## bristol 0.60.8

=== debian/changelog ===
bristol (0.60.8-1) experimental; urgency=low

  * Update debian/gbp.conf.
  * Imported Upstream version 0.60.8
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 Dec 2010 01:24:09 +0100

bristol (0.60.7-3) experimental; urgency=low

  * Don't force jackd2, jackd1 >= 1:0.118+svn4089-1~ is enough to
    provide jack-session support.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 12:25:12 +0100

bristol (0.60.7-2) experimental; urgency=low

  * First build with JACK session support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 23 Nov 2010 01:11:54 +0100

bristol (0.60.7-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-export_statements:
    - Remove all unnecessary 'export' statements.
  * Drop 90-CVE_insecure_library_loading.patch patch, applied upstream.
  * Add NEWS.Debian to notify users about the default size of the voice
    table and document how to increase the VOICECOUNT limit at runtime.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Oct 2010 09:01:20 +0200

bristol (0.60.6-2) experimental; urgency=low

  * Add patch to prevent insecure library loading;
    Closes: #598285, CVE-2010-3351
  * Add local-options file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Sep 2010 12:03:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libx11-dev,
  x11proto-core-dev,
  libasound2-dev,
- libjack-dev
+ libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~)
 Standards-Version: 3.9.1
 Homepage: http://bristol.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/bristol.git

=== debian/rules ===
#!/usr/bin/make -f

EXTRA_CONFIGURE_ARGS = --enable-jack-default-audio --enable-jack-default-midi

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_CONFIGURE_ARGS += --disable-alsa
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
EXTRA_CONFIGURE_ARGS += --disable-alsa
endif

%:
	dh --with autotools_dev $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib/bristol \
		$(EXTRA_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp install
	find $(CURDIR)/debian/tmp/usr/share/bristol/ -type d -empty -delete
	find $(CURDIR)/debian/tmp/usr/share/ -type f | xargs chmod -x

override_dh_makeshlibs:
	dh_makeshlibs -n

## bristol 0.60.9

=== debian/changelog ===
bristol (0.60.9-1) unstable; urgency=low

  * New upstream bugfix release.
  * Depends on libjack-dev only.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Nov 2011 06:15:01 +0100

bristol (0.60.8-3) unstable; urgency=low

  * debian/rules:
    - Enable parallel builds.
    - Get rid of unneeded *.la files (Closes: #621266).
  * debian/control:
    - Suggests jackd.
    - Bump Standards.
  * Rewrite debian/copyright as per DEP-5 rev.174.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 May 2011 00:46:41 +0200

bristol (0.60.8-2) unstable; urgency=low

  * Upload to unstable.
  * Relax JACK's build-deps to let this build in sid.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Feb 2011 02:54:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  libx11-dev,
  x11proto-core-dev,
  libasound2-dev,
- libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~)
-Standards-Version: 3.9.1
+ libjack-dev
+Standards-Version: 3.9.2
 Homepage: http://bristol.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/bristol.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/bristol.git
@@ -20,6 +20,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  bristol-data (= ${source:Version})
+Suggests: jackd
 Description: vintage synthesizer emulator
  Bristol is a synthesizer emulator application. Bristol uses the sound card 
  PCM generator and can be MIDI driven, furthermore it can be set to use the

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 %:
-	dh --with autotools_dev $@
+	dh $@ --parallel --with autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib/bristol \
@@ -21,6 +21,7 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp install
 	find $(CURDIR)/debian/tmp/usr/share/bristol/ -type d -empty -delete
 	find $(CURDIR)/debian/tmp/usr/share/ -type f | xargs chmod -x
+	find $(CURDIR)/debian/tmp/usr/lib/bristol -type f -name '*.la' -delete
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n

## bristol 0.60.10

=== debian/changelog ===
bristol (0.60.10-3) unstable; urgency=low

  * Extend 02-disable_sse.patch to disable -march=core2 -msse -msse
    -mfpmath=sse when compiling libbristol too.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 18:01:34 +0200

bristol (0.60.10-2) unstable; urgency=low

  * Disable -msse -mfpmath (Closes: #674229)

 -- Alessio Treglia <alessio@debian.org>  Fri, 15 Jun 2012 09:58:07 +0200

bristol (0.60.10-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refresh 01-export_statements.patch.
  * Use dh-autoreconf.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 11:14:17 +0200

=== debian/control ===
Source: bristol
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 libasound2-dev,
 libjack-dev,
 libx11-dev,
 x11proto-core-dev
Standards-Version: 3.9.3
Homepage: http://bristol.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/bristol.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/bristol.git

Package: bristol
Architecture: any
Depends:
 bristol-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 jackd
Description: vintage synthesizer emulator
 Bristol is a synthesizer emulator application. Bristol uses the sound card
 PCM generator and can be MIDI driven, furthermore it can be set to use the
 low latency scheduling feature of the kernel, reducing audio under runs.
 It can handle any number of simultaneous synthesizers (they all connect to
 the same engine). It supports splitting and layering the keyboard with
 multiple synthesizers on a single midi channel. Currently Bristol emulates
 the following keyboards: Moog Mini, Moog Voyager (Bristol "Explorer"),
 Sequential Circuits Prophet-5, Roland Juno-6, Yamaha DX-7,
 Hammond (single manual), Hammond B3 (dual manual).

Package: bristol-data
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 bristol (<< 0.40.6-1)
Description: vintage synthesizer emulator (data files)
 Bristol is a synthesizer emulator application. Bristol uses the sound card
 PCM generator and can be MIDI driven, furthermore it can be set to use the
 low latency scheduling feature of the kernel, reducing audio under runs.
 It can handle any number of simultaneous synthesizers (they all connect to
 the same engine). It supports splitting and layering the keyboard with
 multiple synthesizers on a single midi channel. Currently Bristol emulates
 the following keyboards: Moog Mini, Moog Voyager (Bristol "Explorer"),
 Sequential Circuits Prophet-5, Roland Juno-6, Yamaha DX-7,
 Hammond (single manual), Hammond B3 (dual manual).
 .
 This package contains the application data files.

## bristol 0.60.11

=== debian/changelog ===
bristol (0.60.11-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096395)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Sep 2025 18:45:35 +0300

bristol (0.60.11-5) unstable; urgency=medium

  * Team upload

  [ Miriam España Acebal ]
  * d/p/implicit-function-declaration.patch: Upstream's fix for
    avoiding implicit ints and implicit function declarations,
    to prevent build failures and fixing existing FTBFS on armfh
    (Closes: #1066243)

 -- Bastian Germann <bage@debian.org>  Fri, 12 Apr 2024 18:37:48 +0000

bristol (0.60.11-4) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 12:59:26 +0200

bristol (0.60.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Logan Rosen for FTBFS with gcc 10. (Closes: #957055)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 22:08:58 +0200

bristol (0.60.11-3) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
      - Put my name in 'Files: debian/*' entry.
  * debian/patches:
      - 03-rm_alsa-iatomic.h.patch added. (Closes: #834180)
        Thanks Adrian Bunk and James Cowgill.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 09 Sep 2016 09:04:38 -0300

bristol (0.60.11-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:25:40 +0200

bristol (0.60.11-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper requirements.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 31 Jan 2013 01:02:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: bristol
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 9),
  dh-autoreconf,
  libasound2-dev,
  libjack-dev,
  libx11-dev,
  x11proto-core-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bristol.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/bristol.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/bristol.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/bristol.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/bristol
 
 Package: bristol
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 EXTRA_CONFIGURE_ARGS = --enable-jack-default-audio --enable-jack-default-midi
 
@@ -11,7 +13,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib/bristol \

=== debian/watch ===
version=3

https://sf.net/bristol/bristol-([\d.]+)\.tar\.gz
